Bug 124671 - www/apache20 port's package does not include rc.d start script
Summary: www/apache20 port's package does not include rc.d start script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-apache (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-17 14:20 UTC by George Donnelly
Modified: 2008-12-30 06:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Donnelly 2008-06-17 14:20:01 UTC
when building a package via "make package-recursive clean" of the www/apache20 port, the start script in /usr/local/etc/rc.d/ is not included in the package. It is also left out of the package's packing list.

How-To-Repeat: cd /usr/ports/www/apache20 && make package-recursive clean

now install the resulting package on another system and check if the file /usr/local/etc/rc.d/apache2 exists.
Comment 1 Edwin Groothuis freebsd_committer 2008-06-17 14:26:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2008-08-22 19:35:05 UTC
Responsible Changed
From-To: clement->pgollucci

Similiar PR: ports/126670
Comment 3 dfilter service freebsd_committer 2008-08-31 19:58:54 UTC
clement     2008-08-31 18:58:45 UTC

  FreeBSD ports repository

  Modified files:
    www/apache20         Makefile pkg-plist 
  Log:
  - Fix plist when NOPORTDOCS is defined [1]
  - Sometimes, rc scripts aren't included in package
    Try to fix this. [2]
  - Bump PORTREVISION
  
  PR:          ports/124671 [2]
  Reported by: QA Tindy [1],
               George Donnelly [2]
  Special thanks to: pgollucci@
  
  Revision  Changes    Path
  1.255     +3 -2      ports/www/apache20/Makefile
  1.83      +2 -1      ports/www/apache20/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2008-12-27 20:26:25 UTC
Responsible Changed
From-To: pgollucci->apache

apache team
Comment 5 Philip M. Gollucci freebsd_committer 2008-12-30 06:59:14 UTC
State Changed
From-To: open->closed

committed by clement@ already